Panda3D

Loading...
Searching...
No Matches
Public Types | List of all members
PointerToArrayBase< Element > Class Template Reference

This is the base class for PointerToArray and ConstPointerToArray. More...

`#include "pointerToArrayBase.h"`

Inheritance diagram for PointerToArrayBase< Element >:

## Public Types
typedef PointerToBase< ReferenceCountedVector< Element > >::To | To
Public Types inherited from PointerToBase< ReferenceCountedVector< Element > >
typedef ReferenceCountedVector< Element > | To

## Additional Inherited Members
Public Member Functions inherited from PointerToBase< ReferenceCountedVector< Element > >
void | clear ()
| A convenient way to set the PointerTo object to NULL.
void | output (std::ostream &out) const
| A handy function to output PointerTo's as a hex pointer followed by a reference count.
Public Member Functions inherited from PointerToVoid
size_t | get_hash () const
constexpr bool | is_null () const
| Returns true if the PointerTo is a NULL pointer, false otherwise.
bool | operator!= (const PointerToVoid &other) const
bool | operator< (const PointerToVoid &other) const
bool | operator< (const void *other) const
bool | operator== (const PointerToVoid &other) const
void | swap (PointerToVoid &other) noexcept
| Swaps the contents of this PointerTo with the other, without touching the reference counts.
Public Member Functions inherited from MemoryBase
void | operator delete (void *, void *)
void | operator delete (void *ptr)
void | operator delete[] (void *, void *)
void | operator delete[] (void *ptr)
void * | operator new (size_t size)
void * | operator new (size_t size, void *ptr)
void * | operator new[] (size_t size)
void * | operator new[] (size_t size, void *ptr)

## Detailed Description

template<class Element>
class PointerToArrayBase< Element >

This is the base class for PointerToArray and ConstPointerToArray.

Don't try to use it directly; use either derived class instead.

This extends PointerToBase to be a pointer to a ReferenceCountedVector, above, which is essentially a reference-counted STL vector.

Definition at line 69 of file pointerToArrayBase.h.

## Member Typedef Documentation

## ◆ To

template<class Element>

typedef PointerToBase<ReferenceCountedVector<Element>>::To PointerToArrayBase< Element >::To

Definition at line 71 of file pointerToArrayBase.h.

## Constructor & Destructor Documentation

## ◆ ~PointerToArrayBase()

template<class Element>

PointerToArrayBase< Element >::~PointerToArrayBase | ( |  | ) |
| inline

Definition at line 149 of file pointerToArrayBase.I.

The documentation for this class was generated from the following files:

- panda/src/express/pointerToArrayBase.h
- panda/src/express/pointerToArrayBase.I